View Issue Details

IDProjectCategoryView StatusLast Update
0032527LazarusWidgetsetpublic2017-10-23 00:14
ReporteraccorpAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSXubuntu 16.04OS Version
Product Version1.9 (SVN)Product Build56005 
Target VersionFixed in Version1.9 (SVN) 
Summary0032527: Cannot hide TPanel from TForm.OnCreate after HandleNeeded()
Descriptionprocedure TForm1.FormCreate(Sender: TObject);
begin
  HandleNeeded();
  Panel1.Hide();
end;

Property Panel1.Visible is changed to False but panel remains visible.
Additional InformationLCL-Qt works fine.
TagsNo tags attached.
Fixed in Revision56148
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0032593 closedMichl GTK2: Set TPanel visible to false on nonvisual TabSheet doesn't work 

Activities

accorp

2017-10-10 00:26

reporter  

bug-hide-panel.zip (1,953 bytes)

accorp

2017-10-21 23:21

reporter   ~0103667

I found 8 controls (excluding their descendants) that cannot be hidden:
TPanel, TGroubBox, TBitBtn, TFloatSpinEdit, TListBox, TCheckListBox, TMemo, TListView

accorp

2017-10-21 23:21

reporter  

bug-hide-controls.zip (2,481 bytes)

accorp

2017-10-21 23:23

reporter   ~0103668

Issue with TPanel and TGroubBox is resolved together with 0032593.

Michl

2017-10-22 23:04

developer   ~0103693

Fixed in trunk. Please test and close if ok.

accorp

2017-10-23 00:14

reporter   ~0103697

Thank you.

Issue History

Date Modified Username Field Change
2017-10-10 00:26 accorp New Issue
2017-10-10 00:26 accorp File Added: bug-hide-panel.zip
2017-10-21 23:21 accorp Note Added: 0103667
2017-10-21 23:21 accorp File Added: bug-hide-controls.zip
2017-10-21 23:23 accorp Note Added: 0103668
2017-10-22 00:05 Michl Assigned To => Michl
2017-10-22 00:05 Michl Status new => assigned
2017-10-22 00:10 Juha Manninen Relationship added related to 0032593
2017-10-22 23:04 Michl Fixed in Revision => 56148
2017-10-22 23:04 Michl LazTarget => -
2017-10-22 23:04 Michl Note Added: 0103693
2017-10-22 23:04 Michl Status assigned => resolved
2017-10-22 23:04 Michl Fixed in Version => 1.9 (SVN)
2017-10-22 23:04 Michl Resolution open => fixed
2017-10-23 00:14 accorp Note Added: 0103697
2017-10-23 00:14 accorp Status resolved => closed